version: "2"

checks:
    similar-code:
        enabled: true
        config:
            threshold: 3
    duplicate-code:
        enabled: true
        config:
            threshold: 3

exclude-patterns:
    - tests/
    - migrations/

python-targets:
    - 3.10
    - 3.11
    - 3.12

plugins:
    pylint:
        enabled: true
        config:
            load-plugins:
                - pylint_odoo
    pydocstyle:
        enabled: false
